Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(1433)

Issue 10485043: code review 10485043: runtime: change netpoll in preparation for windows impl... (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
9 years, 5 months ago by brainman
Modified:
9 years, 5 months ago
Reviewers:
dvyukov
CC:
golang-dev, dvyukov
Visibility:
Public.

Description

runtime: change netpoll in preparation for windows implementation - change runtime_pollWait so it does not return closed or timeout if IO is ready - windows must know if IO has completed or not even after interruption; - add (*pollDesc).Prepare(mode int) that can be used for both read and write, same for Wait; - introduce runtime_pollWaitCanceled and expose it in net as (*pollDesc).WaitCanceled(mode int); Full windows netpoll changes are here https://codereview.appspot.com/8670044/.

Patch Set 1 #

Patch Set 2 : diff -r 5b2b5f8d89b0 https://go.googlecode.com/hg/ #

Patch Set 3 : diff -r 5b2b5f8d89b0 https://go.googlecode.com/hg/ #

Total comments: 4

Patch Set 4 : diff -r fc8f4a3920e1 https://go.googlecode.com/hg/ #

Unified diffs Side-by-side diffs Delta from patch set Stats (+63 lines, -24 lines) Patch
M src/pkg/net/fd_poll_runtime.go View 1 3 chunks +27 lines, -7 lines 0 comments Download
M src/pkg/runtime/netpoll.goc View 1 2 3 8 chunks +36 lines, -17 lines 0 comments Download

Messages

Total messages: 3
brainman
Hello golang-dev@googlegroups.com, I'd like you to review this change to https://go.googlecode.com/hg/
9 years, 5 months ago (2013-06-24 04:39:12 UTC) #1
dvyukov
LGTM https://codereview.appspot.com/10485043/diff/5001/src/pkg/runtime/netpoll.goc File src/pkg/runtime/netpoll.goc (right): https://codereview.appspot.com/10485043/diff/5001/src/pkg/runtime/netpoll.goc#newcode273 src/pkg/runtime/netpoll.goc:273: if(*gpp == READY) { drop {} https://codereview.appspot.com/10485043/diff/5001/src/pkg/runtime/netpoll.goc#newcode288 src/pkg/runtime/netpoll.goc:288: ...
9 years, 5 months ago (2013-06-24 09:16:36 UTC) #2
brainman
9 years, 5 months ago (2013-06-25 02:29:09 UTC) #3
*** Submitted as https://code.google.com/p/go/source/detail?r=8de6d4c58935 ***

runtime: change netpoll in preparation for windows implementation

- change runtime_pollWait so it does not return
  closed or timeout if IO is ready - windows must
  know if IO has completed or not even after
  interruption;
- add (*pollDesc).Prepare(mode int) that can be
  used for both read and write, same for Wait;
- introduce runtime_pollWaitCanceled and expose
  it in net as (*pollDesc).WaitCanceled(mode int);

Full windows netpoll changes are
here https://codereview.appspot.com/8670044/.

R=golang-dev, dvyukov
CC=golang-dev
https://codereview.appspot.com/10485043

https://codereview.appspot.com/10485043/diff/5001/src/pkg/runtime/netpoll.goc
File src/pkg/runtime/netpoll.goc (right):

https://codereview.appspot.com/10485043/diff/5001/src/pkg/runtime/netpoll.goc...
src/pkg/runtime/netpoll.goc:273: if(*gpp == READY) {
On 2013/06/24 09:16:36, dvyukov wrote:
> drop {}

Done.

https://codereview.appspot.com/10485043/diff/5001/src/pkg/runtime/netpoll.goc...
src/pkg/runtime/netpoll.goc:288: old->param = 0;
On 2013/06/24 09:16:36, dvyukov wrote:
> this should be nil
> probably just old->param = (void*)ioready;

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b